PSW_RGB_ELLIPSE(3)

FUNCTION
psw_rgb_ellipse - Write a colour ellipse to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_ellipse

(PostScriptPage pspage, double red, double green, double blue, double cx, double cy, double rx, double ry, flag fill)

DESCRIPTION
Write a colour ellipse to a PostScriptPage object.

pspage
    The PostScriptPage object.

red The red component value. The range is: 0.0 (dark) to 1.0 (light)

green
    The green component value. The range is: 0.0 (dark) to 1.0 (light)

blue
    The blue component value. The range is: 0.0 (dark) to 1.0 (light)

cx  The x centre. This is scaled from 0.0 to 1.0

cy  The y centre. This is scaled from 0.0 to 1.0

rx  The x radius. This is scaled from 0.0 to 1.0. If this is 0.0, then half of the thin linewidth value is used instead.

ry  The y radius. This is scaled from 0.0 to 1.0. If this is 0.0, then half of the thin linewidth value is used instead.

fill
    If TRUE, the ellipse is filled.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/